For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
      • GETGet Signature Request
      • GETList Signature Requests
      • GETDownload Files
      • GETDownload Files as Data Uri
      • GETDownload Files as File Url
      • POSTSend Signature Request
      • POSTSend with Template
      • POSTBulk Send with Template
      • POSTSend Request Reminder
      • POSTRelease On-Hold Signature Request
      • POSTUpdate Signature Request
      • POSTCancel Incomplete Signature Request
      • POSTRemove Signature Request Access
      • POSTEmbedded Bulk Send with Template
      • POSTCreate Embedded Signature Request
      • POSTCreate Embedded Signature Request with Template
      • PUTEdit Signature Request
      • PUTEdit Embedded Signature Request
      • PUTEdit Embedded Signature Request with Template
      • PUTEdit Signature Request With Template
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceSignature Request

Download Files

||View as Markdown|
GET
https://api.hellosign.com/v3/signature_request/files/:signature_request_id
GET
/v3/signature_request/files/:signature_request_id
$curl -X GET 'https://api.hellosign.com/v3/signature_request/files/{signature_request_id}?file_type=pdf' \
> -u 'YOUR_API_KEY:' \
> --output downloaded_document.pdf

Obtain a copy of the current documents specified by the signature_request_id parameter. Returns a PDF or ZIP file.

If the files are currently being prepared, a status code of 409 will be returned instead.

Was this page helpful?
Previous

List Signature Requests

Next

Download Files as Data Uri

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

signature_request_idstringRequired
The id of the SignatureRequest to retrieve.

Query parameters

file_typeenumOptionalDefaults to pdf

Set to pdf for a single merged document or zip for a collection of individual documents.

Allowed values:

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation

Errors

4XX
Client Request Error